   pro taskfig14,iout,figsubsave,figsub,outwrsub

; *******
; Output text file
  fwr=strcompress(outwrsub+'figure14.txt')

; Open the output text file
   idat=40
  openw,idat,fwr

  print,'  will write to ',fwr

  printf,idat,'  figure14'

; *******
; Input IDL saveset for figure 14
   filnm=strcompress(figsubsave+'task166fig14.sav')
   restore,filnm

;  save,npts,xvec,yvec,veccolor,isymn,clrval,$
;  nlines,nvec,xvecn,yvecn,numpts,$
;  labelx,labely,title,$
;  xmin,xmax,ymin,ymax,$
;  x1a,y1a,x2a,y2a,$
;  ioplot,igraphpts,sizept,$
;  cs,cs2,cthick,$
;  ixlog,iylog,$
;  igrwords,ngrwords,grwords,xwords,ywords,wordc,$
;  ibw,linestyles,xleft,xright
;  file=fsavewr

; *******
; Output saveset
   fileps=strcompress(figsub+'figure14.ps')
   print,fileps

; ******************************
; Open the ps file
   set_plot, 'ps'
   device, /color, bits_per_pixel=8, file=fileps,$
    /portrait,/inch,ysize=9.0,xsize=7.0,xoffset=0.6,yoffset=1.0

; One graph per page
   !P.MULTI=[0,1,1]

; Load the color table
   loadct,26

; Bold fonts
   !P.font=0

; **
     nopr2=0
   graphlines166,nopr2,iout,$
   npts,xvec,yvec,veccolor,isymn,clrval,$
   nlines,nvec,xvecn,yvecn,numpts,$
   labelx,labely,title,$
   xmin,xmax,ymin,ymax,$
   x1a,y1a,x2a,y2a,$
   ioplot,igraphpts,sizept,$
   cs,cs2,cthick,$
   ixlog,iylog,$
   igrwords,ngrwords,grwords,xwords,ywords,wordc,$
   ibw,linestyles,xleft,xright

; **
   device,/close
   print,fileps

; ******************************
   printf,idat,'  '
   printf,idat,'  ',title
   printf,idat,'  x ',labelx
   printf,idat,'  y ',labely
   printf,idat,'  Data graphed for 6 lines '
   printf,idat,'  i,grwords(i)'
   for i=0,5 do begin
    printf,idat,'  ',i,'  ',grwords(i)
   endfor
   printf,idat,'  i,yvecn(i,0),xvecn(i,j) for j=0,5'
    vecdat=fltarr(6)
   for i=0,nvec-1 do begin
    for j=0,5 do begin
     vecdat(j)=xvecn(i,j)
    endfor
    printf,idat,format='(2x,i3,7(1x,f10.4))',$
     i,yvecn(i,0),vecdat
   endfor

; Close the output text file
   close,idat

; ******************************
   return
   end
