   pro taskfig18,iout,figsubsave,figsub,outwrsub

; ******************************
; Input IDL saveset 
   filnm=strcompress(figsubsave+'task167fig18oceanglint.sav')
   restore,filnm

; ******************************
; Output graphics ps file
   fileps=strcompress(figsub+'fig18.ps')

; ******************************
; Output text file
  fwr=strcompress(outwrsub+'figure18.txt')

; Open the output text file
   idat=40
  openw,idat,fwr

  print,'  will write to ',fwr

  printf,idat,'  figure18'

; ******************************
; Open the ps file
   set_plot, 'ps'
   device, /color, bits_per_pixel=8, file=fileps,$
    /portrait,/inch,ysize=9.0,xsize=7.0,xoffset=0.6,yoffset=1.0

; ****
; One panel to the page
   !P.MULTI=[0,1,1]

; Load the color table
   loadct,26

; Bold fonts
   !P.font=0

; **
     nopr2=0
   graphlines167gr3,nopr2,iout,$
   npts,xvec,yvec,veccolor,isymn,clrval,$
   nlines,nvec,xvecn,yvecn,numpts,$
   labelx,labely,titleuse,$
   xmin,xmax,ymin,ymax,$
   x1a,y1a,x2a,y2a,$
   ioplot,igraphpts,sizept,$
   cs,cs2,cthick,$
   ixlog,iylog,$
   jgrwords,ngrwords,grwords,xwords,ywords,wordc,$
   ibw,linestyles,xleft,xright,$
   icbar,colc,cbartitle,labelchr,ncbar,$
   iline0,yoops,xoops

; **
   device,/close
   print,fileps

; ******************************
   printf,idat,'  '
   printf,idat,'  ',titleuse
   printf,idat,'  x ',labelx
   printf,idat,'  y ',labely
   printf,idat,'  Data graphed for 2 lines '
   printf,idat,'  i,grwords(i)'
   for i=0,nlines-1 do begin
    printf,idat,'  ',i,'  ',grwords(i)
   endfor
   printf,idat,'  i,yvecn(i,0),xvecn(i,j) for j=0,1'
    vecdat=fltarr(nlines)
   for i=0,nvec-1 do begin
    for j=0,nlines-1 do begin
     vecdat(j)=xvecn(i,j)
    endfor
    printf,idat,format='(2x,i3,3(1x,f10.4))',$
     i,yvecn(i,0),vecdat
   endfor

; Close the output text file
   close,idat

; ******************************
   return
   end
