  pro graphxyclog6pts,iout,xvec,yvec,isym,itot,labelx,labely,title,clri,$
  x1a,x2a,y1a,y2a,ioplot,xmin,xmax,ymin,ymax,igraphpts,$
  ixlog,iylog,cs,cs2,xqual,idat

; ******************************
; have graphs plus the color bar
; [ignore,horizontal,vertical]
;  !P.MULTI=[0,1,1]

; Load the color table
;  loadct,26

; Bold fonts
;  !P.font=0

   xm=2.0

;  iset=2
; if (iset eq 1) then begin
;  x1a=0.20
;  y1a=0.20
;  x2a=0.80
;  y2a=0.80
; endif
; if (iset eq 2) then begin
;  x1a=0.25
;  y1a=0.25
;  x2a=0.75
;  y2a=0.75
; endif

;  cs=1.2
;  cs2=1.5

;  cs=1.0
;  cs2=1.0

;  cs=0.8
;  cs2=1.0

  if ((ixlog eq 0) and (iylog eq 0)) then begin
   plot,xvec,yvec,xtitle=labelx,ytitle=labely,title=title,$
   charsize=cs2,charthick=2.0,$
   xcharsize=cs,xthick=cs,$
   ycharsize=cs,ythick=cs,$
   thick=3,$
   xmargin=[xm,xm],ymargin=[xm,xm],$
   xstyle=1,xrange=[xmin,xmax],$
   ystyle=1,yrange=[ymin,ymax],$
   position=[x1a,y1a,x2a,y2a],$
   /NODATA
  endif

  if ((ixlog eq 0) and (iylog eq 1)) then begin
   plot,xvec,yvec,xtitle=labelx,ytitle=labely,title=title,$
   charsize=cs2,charthick=2.0,$
   xcharsize=cs,xthick=cs,$
   ycharsize=cs,ythick=cs,$
   thick=3,$
   xmargin=[xm,xm],ymargin=[xm,xm],$
   xstyle=1,xrange=[xmin,xmax],$
   ystyle=1,yrange=[ymin,ymax],$
   position=[x1a,y1a,x2a,y2a],$
   /YLOG,$
   /NODATA
  endif

  if ((ixlog eq 1) and (iylog eq 0)) then begin
   plot,xvec,yvec,xtitle=labelx,ytitle=labely,title=title,$
   charsize=cs2,charthick=2.0,$
   xcharsize=cs,xthick=cs,$
   ycharsize=cs,ythick=cs,$
   thick=3,$
   xmargin=[xm,xm],ymargin=[xm,xm],$
   xstyle=1,xrange=[xmin,xmax],$
   ystyle=1,yrange=[ymin,ymax],$
   position=[x1a,y1a,x2a,y2a],$
   /XLOG,$
   /NODATA
  endif

  if ((ixlog eq 1) and (iylog eq 1)) then begin
   plot,xvec,yvec,xtitle=labelx,ytitle=labely,title=title,$
   charsize=cs2,charthick=2.0,$
   xcharsize=cs,xthick=cs,$
   ycharsize=cs,ythick=cs,$
   thick=3,$
   xmargin=[xm,xm],ymargin=[xm,xm],$
   xstyle=1,xrange=[xmin,xmax],$
   ystyle=1,yrange=[ymin,ymax],$
   position=[x1a,y1a,x2a,y2a],$
   /XLOG,$
   /YLOG,$
   /NODATA
  endif

   clr=clri(0)
  if (ioplot eq 1) then begin
   oplot,xvec,yvec,thick=3,color=clr
  endif

  if (igraphpts eq 1) then begin

; **
; determine number of points to graph
    npts=0
   for i=0,itot-1 do begin
    x=xvec(i)
    y=yvec(i)
    if ((x ge xmin) and (x le xmax)) then begin
    if ((y ge ymin) and (y le ymax)) then begin
     npts=npts+1
    endif
    endif
   endfor

; **
   printf,idat,'  '
   printf,idat,'  title ',title  
   printf,idat,'  x ',labelx  
   printf,idat,'  y ',labely  
   printf,idat,'  number of points npts '
   printf,idat,'  ',npts
   printf,idat,'  i,x,y,xqual(i)'

; **
    n=-1
   for i=0,itot-1 do begin
    x=xvec(i)
    y=yvec(i)
    j=isym(i)
    clr=clri(i)
    if (xqual(i) eq 0) then begin
     csize=2.0
    endif
    if (xqual(i) eq 1) then begin
     csize=1.0
    endif
    if ((x ge xmin) and (x le xmax)) then begin
    if ((y ge ymin) and (y le ymax)) then begin

;    plots,x,y,PSYM=j,SYMSIZE=2.0,THICK=2.0,COLOR=clr,/DATA
     plots,x,y,PSYM=j,SYMSIZE=csize,THICK=2.0,COLOR=clr,/DATA

      n=n+1
     printf,idat,format='(2x,i4,2(1x,f10.4),1(1x,i2))',$
      n,x,y,xqual(i)
      
    endif
    endif
   endfor
  endif

; ******************************
  return
  end
